Bug 1138246 - Unable to get the list of lvs and lv size
Summary: Unable to get the list of lvs and lv size
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openlmi-storage
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-04 11:09 UTC by Timothy Asir
Modified: 2014-11-10 06:08 UTC (History)
4 users (show)

Fixed In Version: openlmi-storage-0.8.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:08:47 UTC


Attachments (Terms of Use)

Description Timothy Asir 2014-09-04 11:09:21 UTC
Description of problem:
get lv list (storage lv list) or show lv (storage lv show) returns some error message.

Version-Release number of selected component (if applicable):
openlmi-scripts version: 0.3.0-1
openlmi-storage version: 0.7.1-1

How reproducible:
i could able to create any number of lv. However I am unable
to find lv details or lv list.

Actual results:
lmi> storage lv list
Option "size" not handled in function "list", ignoring.
Option "name" not handled in function "list", ignoring.
error   : unsupported operand type(s) for *: 'NoneType' and 'NoneType'

Expected results:
it should return a list of lvs

Additional info:
1) lv device NumberOfBlocks and its BlockSize is None
2) lvdisplay command shows lv size and other details

lmi> storage lv show /dev/mapper/host1vg1-a00lv1
Option "vg" not handled in function "show", ignoring.
Option "name" not handled in function "show", ignoring.
Option "size" not handled in function "show", ignoring.
String /dev/mapper/host1vg1-a00lv1 translated to device '/dev/mapper/host1vg1-a00lv1'.
/dev/mapper/host1vg1-a00lv1:
error   : unsupported operand type(s) for *: 'NoneType' and 'NoneType'
lmi> 
lmi> 
Writing history file "/root/.lmi_history"
[root@dhcp43-125 storage]# lvdisplay /dev/mapper/host1vg1-a00lv1
  --- Logical volume ---
  LV Path                /dev/host1vg1/a00lv1
  LV Name                a00lv1
  VG Name                host1vg1
  LV UUID                Kgb0uc-V51W-dzzD-MqhH-zged-zASe-6leEV8
  LV Write Access        read/write
  LV Creation host, time dhcp43-125.lab.eng.blr.redhat.com, 2014-09-01 17:18:37 +0530
  LV Status              NOT available
  LV Size                4.00 MiB
  Current LE             1
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto

Comment 1 Timothy Asir 2014-09-04 11:35:26 UTC
lmi> storage lv list
Option "size" not handled in function "list", ignoring.
Option "name" not handled in function "list", ignoring.
error   : unsupported operand type(s) for *: 'NoneType' and 'NoneType'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/lmi/scripts/common/command/session.py", line 90, in process_session
    self.process_host_result(connection.uri, True, result)
  File "/usr/lib/python2.7/site-packages/lmi/scripts/common/command/session.py", line 117, in process_host_result
    self.produce_output(result)
  File "/usr/lib/python2.7/site-packages/lmi/scripts/common/command/endpoint.py", line 308, in produce_output
    self.formatter.produce_output(data)
  File "/usr/lib/python2.7/site-packages/lmi/scripts/common/formatter/__init__.py", line 344, in produce_output
    super(TableFormatter, self).produce_output(rows)
  File "/usr/lib/python2.7/site-packages/lmi/scripts/common/formatter/__init__.py", line 224, in produce_output
    for row in rows:
  File "/usr/lib/python2.7/site-packages/lmi/scripts/storage/cmd/lv.py", line 93, in execute
    size = size2str(lv.NumberOfBlocks * lv.BlockSize,
TypeError: unsupported operand type(s) for *: 'NoneType' and 'NoneType'

Comment 2 Jan Safranek 2014-09-05 07:25:54 UTC
Reproduced with deactivated logical volume:

# lvcreate -n mylv -L 10m myvg
# lvchange -an myvg/mylv
# service tog-pegasus restart
# lmi storage lv show
/dev/mapper/myvg-mylv:
error   : unsupported operand type(s) for *: 'NoneType' and 'NoneType'

Comment 3 Fedora Update System 2014-09-08 05:50:56 UTC
openlmi-storage-0.8.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openlmi-storage-0.8.0-1.fc21

Comment 4 Fedora Update System 2014-09-08 16:10:01 UTC
Package openlmi-storage-0.8.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlmi-storage-0.8.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10304/openlmi-storage-0.8.0-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-10 16:41:43 UTC
Package openlmi-storage-0.8.0-1.fc21, openlmi-providers-0.5.0-2.fc21, openlmi-networking-0.3.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlmi-storage-0.8.0-1.fc21 openlmi-providers-0.5.0-2.fc21 openlmi-networking-0.3.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10304/openlmi-providers-0.5.0-2.fc21,openlmi-networking-0.3.0-1.fc21,openlmi-storage-0.8.0-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-12 17:47:49 UTC
Package openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlmi-storage-0.8.0-1.fc21 openlmi-networking-0.3.0-1.fc21 openlmi-providers-0.5.0-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10304/openlmi-providers-0.5.0-5.fc21,openlmi-networking-0.3.0-1.fc21,openlmi-storage-0.8.0-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-11-10 06:08:47 UTC
openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.